#ifndef __pxx_fd_buffer_hh__
#define __pxx_fd_buffer_hh__

#include "pxx_buffer.hh"

namespace pxx
{

class FD_Buffer :
  public virtual Buffer
{

private:

  int fd ;
  bool eod ;
  bool nofill_flag ;

public:

  FD_Buffer (
    int _fd, size_t _size = Buffer::default_size
  ) ;

  ~FD_Buffer () ;

  size_t read () ;
  size_t write () ;
  inline void nofill () ;

};

}

#endif // __pxx_fd_buffer_hh__
