#ifndef __refal__Arithm_hh__
#define __refal__Arithm_hh__

#include <rf_core.hh>

#ifdef RFRT_WITHOUT_GMP

#include <refal/ShortArithm.hh>

namespace refal
{

namespace Arithm = ShortArithm;

}

#else // !defined RFRT_WITHOUT_GMP

namespace refal
{

using namespace rfrt;

namespace Arithm
{

RF_DECL (_p_);

RF_DECL (_m_);

RF_DECL (_a_);

RF_DECL (Div_m_Rem);

RF_DECL (Div);

RF_DECL (Rem);

RF_DECL (GCD);

RF_DECL (Max);

RF_DECL (Min);

RF_DECL (Neg);

}

}

#endif // !defined RFRT_WITHOUT_GMP

#endif // __refal__Arithm_hh__
